## libnoris-io-autoencoding-perl 0.0.3

=== Makefile ===
build:

install:
	cp -r usr ${DESTDIR}/
	mkdir -p ${DESTDIR}/usr/share/man/man3
	iconv -f utf8 -t latin1 usr/share/perl5/noris/IO/AutoEncoding.pm | pod2man -c AutoEncoding.pm -s 1 -q "''" | gzip -9 > $(DESTDIR)/usr/share/man/man3/IO::AutoEncoding.3.gz

clean:
	rm -f *-stamp

=== debian/changelog ===
libnoris-io-autoencoding-perl (0.0.3) stable; urgency=low

  * Stable statt unstable

 -- root <root@localhost.localdomain>  Tue, 18 Aug 2009 14:48:23 +0200

libnoris-io-autoencoding-perl (0.0.2) unstable; urgency=low

  * Paket nicht mehr virtuell.

 -- Stelios Gikas <stelios.gikas@noris.net>  Tue, 18 Aug 2009 10:09:49 +0200

libnoris-io-autoencoding-perl (0.0.1) unstable; urgency=low

  * Initial release

 -- Stelios Gikas <stelios.gikas@noris.net>  Fri, 14 Aug 2009 13:36:53 +0200

## libnoris-io-autoencoding-perl 0.2.7

=== Makefile ===
build:

install:
	cp -r usr ${DESTDIR}/
	mkdir -p ${DESTDIR}/usr/share/man/man3
	cat usr/share/perl5/noris/IO/AutoEncoding.pm | pod2man -c AutoEncoding.pm -s 1 -q "''" | gzip -9 > $(DESTDIR)/usr/share/man/man3/noris::IO::AutoEncoding.3.gz

test:
	PERL_DL_NONLAZY=1 /usr/bin/perl "-MExtUtils::Command::MM" "-e" "test_harness(0, 'usr/share/perl5')" t/*.t

clean:
	rm -f *-stamp

=== debian/changelog ===
libnoris-io-autoencoding-perl (0.2.7) wheezy; urgency=low

  * #10052802: Beginn einer Testsuite

 -- Stelios Gikas <stelios.gikas@noris.net>  Mon, 28 Nov 2011 16:40:13 +0100

libnoris-io-autoencoding-perl (0.2.6) stable; urgency=low

  * #10618338: korrektes Encoding für die aktuelle Umgebung ermitteln

 -- Stelios Gikas <stelios.gikas@noris.net>  Mon, 28 Nov 2011 16:40:13 +0100

libnoris-io-autoencoding-perl (0.2.5) stable; urgency=low

  * Manpage richtig benannt
  * Keine Prototypen bei funktionen

 -- Stelios Gikas <stelios.gikas@noris.net>  Tue, 22 Nov 2011 13:55:06 +0100

libnoris-io-autoencoding-perl (0.2.4) stable; urgency=low

  * #10074868: Encoding Probleme mit dem Modul noris::NetSaint.

 -- Stelios Gikas <stelios.gikas@noris.net>  Mon, 15 Feb 2010 13:23:51 +0100

libnoris-io-autoencoding-perl (0.2.3) stable; urgency=low

  * fehlenden Export von decode_auto() ergänzt

 -- Martin H. Sluka <fany@noris.net>  Mon, 30 Nov 2009 10:52:02 +0100

libnoris-io-autoencoding-perl (0.2.2) stable; urgency=low

  * Neue Version ...

 -- Stelios Gikas <stelios.gikas@noris.net>  Mon, 12 Oct 2009 12:44:18 +0200

libnoris-io-autoencoding-perl (0.2.1) stable; urgency=low

  * #10052798: Bugfix: Vergessener Import

 -- Stelios Gikas <stelios.gikas@noris.net>  Tue, 15 Sep 2009 15:55:00 +0200

libnoris-io-autoencoding-perl (0.2.0) stable; urgency=low

  * #10051548: Funktionalität zum Dekodieren von Eingabedaten
    (insb. Standardeingabe und Kommandozeile) ergänzt;
    BEACHTE: set_encoding() erwartet jetzt eine Liste der zu
    berücksichtigtenden Ein-/Ausgabekanäle.

 -- Martin H. Sluka <fany@noris.net>  Tue, 15 Sep 2009 12:07:49 +0200

libnoris-io-autoencoding-perl (0.1.1) stable; urgency=low

  * #10045028: Workarounds für "global destruction"-Phase local()isiert

 -- Martin H. Sluka <fany@noris.net>  Wed, 02 Sep 2009 14:38:06 +0200

libnoris-io-autoencoding-perl (0.1.0) stable; urgency=low

  * #10045028: grundlegend umgebaut; automatisches Encoding nicht mehr
    zwingend, sondern nur noch via Import
  * #10045028: auto_encode() in encode_auto() umbenannt
  * #10045028: fehlendes Laden Exporter.pm ergänzt
  * #10045028: Workarounds, damit das Modul auch "during global
    destruction" funktioniert

 -- Martin H. Sluka <fany@noris.net>  Wed, 02 Sep 2009 14:24:55 +0200

## libnoris-io-autoencoding-perl 0.2.8

=== Makefile ===
build:

install:
	cp -r usr ${DESTDIR}/
	mkdir -p ${DESTDIR}/usr/share/man/man3
	cat usr/share/perl5/noris/IO/AutoEncoding.pm | pod2man --utf8 -c AutoEncoding.pm -s 1 -q "''" | gzip -9 > $(DESTDIR)/usr/share/man/man3/noris::IO::AutoEncoding.3.gz

test:
	PERL_DL_NONLAZY=1 /usr/bin/perl "-MExtUtils::Command::MM" "-e" "test_harness(0, 'usr/share/perl5')" t/*.t

clean:
	rm -f *-stamp

=== debian/changelog ===
libnoris-io-autoencoding-perl (0.2.8) jessie; urgency=medium

  * 15343358: New Build for jessie 

 -- Katharina Drexel <kdrexel@noris.de>  Tue, 28 Apr 2015 12:15:03 +0200

libnoris-io-autoencoding-perl (0.2.7) stable; urgency=low

 * #10052802: Beginn einer Testsuite

 -- Moritz Lenz <mlenz@noris.net>  Mon, 03 Dec 2012 18:07:27 +0100

=== debian/control ===
Source: libnoris-io-autoencoding-perl
Section: noris/libs
Priority: optional
Maintainer: Stelios Gikas <stelios.gikas@noris.net>
Build-Depends: debhelper (>= 5)
Standards-Version: 3.7.2

Package: libnoris-io-autoencoding-perl
Architecture: all
Depends: ${shlibs:Depends}, perl (>= 5.8), perl-doc
Description: Autoencoding IO messages
 Das Skript versucht anhand der LOCALE oder der Environment Einstellungen
 rauszufinden welches das passende Encoding für die jeweilige Shell ist.
 Wenn UTF-8 möglich ist wird auch dieses angewendet ansonsten gibt es ein
 Fallback auf ISO-8859-15

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/libnoris-io-autoencoding-perl.sgml > libnoris-io-autoencoding-perl.1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/libnoris-io-autoencoding-perl.
	$(MAKE) DESTDIR=$(CURDIR)/debian/libnoris-io-autoencoding-perl install


# Build architecture-dependent files here.
binary-arch: build install
# We have nothing to do by default.

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
#	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
#	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
